Package org.opensaml.soap.common

# Interface SOAPObjectBuilder<SOAPObjectType extends SOAPObject>

Type Parameters:
  `SOAPObjectType` - the type of SOAPObject being built

All Superinterfaces:
  `XMLObjectBuilder<SOAPObjectType>`

All Known Implementing Classes:
  `BodyBuilder`, `DetailBuilder`, `EnvelopeBuilder`, `FaultActorBuilder`, `FaultBuilder`, `FaultCodeBuilder`, `FaultStringBuilder`, `HeaderBuilder`

public interface SOAPObjectBuilder<SOAPObjectType extends SOAPObject> extends XMLObjectBuilder<SOAPObjectType>
Builder for SOAPObjects.

## Method Summary

Modifier and Type
Method
Description
`SOAPObjectType`
`buildObject()`
Builds a SOAPObject using the default name and namespace information provided SOAP specifications.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull SOAPObjectType buildObject()
Builds a SOAPObject using the default name and namespace information provided SOAP specifications.

Returns:
  built SAMLObject